eric ide

Issue206

Classification
Title: Eric 6 crash on startup
Type: crash Product: eric6
Process
Priority: critical    
Status: closed Resolution: works for me
Superseder: Nosy List: detlev, mirom967
Assigned to: detlev Keywords:

Created on 2016-09-10.10:01:40 by mirom967, last changed by detlev.

Files
File Name Uploaded Description Remove
compile.log mirom967, 2016-09-10.12:11:35
crash.debug mirom967, 2016-09-10.12:11:24
crash.debug mirom967, 2016-09-10.12:53:09
crash.info mirom967, 2016-09-10.18:41:40
Messages (18.0)
msg772 (view) Author: mirom967 Date: 2016-09-22.18:10:55
I don't have any information more. Please close this report.
In case if I will find anything, I will eventually reopen it.
msg768 (view) Author: detlev Date: 2016-09-21.17:18:35
Can you provide more details or even a patch? Otherwise I'll close it.
msg766 (view) Author: mirom967 Date: 2016-09-11.13:22:49
I think, that the difference is, that I use hardened version of linux.
It is much more secure than standard linux. And it use more strict checking for
stack overflow. In case of stack overflow, the system kill such application.
msg765 (view) Author: detlev Date: 2016-09-11.08:56:12
I just retested it again on a Kubuntu system with Python 3.5.2 setting the 
language to pl. I got the warning messages (see first message below) but eric6 
started ok.

Without being able to reproduce the issue, I won't be able to implement a fix or 
workaround.
msg764 (view) Author: mirom967 Date: 2016-09-10.18:41:40
I made:
export LC_ALL=C
and the started eric. It didn't crash. 
But it show that there is crash information as in attached file

It seems, that the problem occur when the language setting is set to unsupported
language.
msg763 (view) Author: detlev Date: 2016-09-10.16:19:09
Just tested setting the language to PL and using the system language in eric6 but 
your issue did not show up. I am lost. Did this on a Kubuntu system with Python 
3.5.2.
msg762 (view) Author: detlev Date: 2016-09-10.16:05:44
The loop seems to occur in a call to QCoreApplication.translate(). However, that 
should not happen. Can you try to set the language used by the interface via the 
eric6_configure.py script to the default (i.e. built-in) language?
msg761 (view) Author: mirom967 Date: 2016-09-10.15:42:21
No. The compilation is done with the function "python_optimize" in the ebuild,
which is called after install.py.
So it seems, the compilation errors are not associated with this error.
And your install.py is correct.

I looked around to find any information about 
"Fatal Python error: Cannot recover from stack overflow."
And there are several posts in this year. It seems, that the stack overflow
checking in python is somehow buggy. And they implemented some new way of stack
checking in python 3.5.2, but I don't know how it works.
There is for example this issue:
https://bugs.python.org/issue25222
https://github.com/miguelgrinberg/Flask-SocketIO/issues/230
msg760 (view) Author: detlev Date: 2016-09-10.13:14:27
It is strange because the -z switch should disable the compilation of the source 
files. Do you really see the output "Compiling source files..." during execution 
of install.py?

Please delete the line "sys.excepthook = excepthook" in the install.py script to 
get the standard Python behavior.
msg759 (view) Author: mirom967 Date: 2016-09-10.12:53:09
To avoid compilation of python 2 files, I stopped instalation process, and
deleted these files manually, and after that I finished installation.
When I sterted eric after that, I got some more information in trace back. 
But I am still not sure if this is helpful.
msg758 (view) Author: mirom967 Date: 2016-09-10.12:24:13
As you can see in the file:
http://gpo.zugaina.org/AJAX/Ebuild/17568485/View

There is used following command:
		install.py \
		-b "${EPREFIX}/usr/bin" \
		-d "$(python_get_sitedir)" \
		-i "${D}" \
		-c \
		-z \
		--pyqt=4 \
msg757 (view) Author: detlev Date: 2016-09-10.12:16:49
Somehow the install script tried to compile the Python2 debugger when executed 
with Python3. Which command was used to install eric6?
msg756 (view) Author: mirom967 Date: 2016-09-10.12:11:35
But I remember, when I installed I must use python 2.7 in installation process,
because if python 3.4 is used, I get some compiler errors. Please see attached
file. Maybe the reason is mixing of the python versions.
msg755 (view) Author: mirom967 Date: 2016-09-10.12:11:24
There is nothing special in the log when --debug is used, and, and exception is
commented.
So I have no idea, what else I could do.
msg754 (view) Author: detlev Date: 2016-09-10.11:36:15
Is it possible that pax does not allow writing the configuration? Unfortunately I 
don't have a Gentoo system available. Try running eric with the --debug switch or 
comment out line 231 (sys.excepthook = excepthook) to get an exception in the 
console.
msg753 (view) Author: mirom967 Date: 2016-09-10.11:29:33
I wonder. Because I just installed the version 6.xx on my gentoo.
And it crash. 
The only thing is that I use gentoo hardened with pax enabled.
Now I deleted configuration files. It starts, opens the configuration window.
And then after confirmation of default config it crashes again.
msg750 (view) Author: detlev Date: 2016-09-10.10:29:39
The error trace does not show anything that indicates the real issue that 
happened. Please give more details in order to reproduce it.
msg749 (view) Author: mirom967 Date: 2016-09-10.10:01:39
Warning: translation file 'eric6_pl_PL'could not be loaded.
Using default.
Warning: translation file 'qscintilla_pl_PL'could not be loaded.
Using default.
BackgroundService listening on: 43701
Fatal Python error: Cannot recover from stack overflow.

Current thread 0x000003a5d2a2e700 (most recent call first):
  File "<frozen importlib._bootstrap>", line 321 in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 2284 in _handle_fromlist
  File "/usr/lib64/python3.4/email/feedparser.py", line 26 in <module>
  File "<frozen importlib._bootstrap>", line 321 in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1471 in exec_module
  File "<frozen importlib._bootstrap>", line 1129 in _exec
  File "<frozen importlib._bootstrap>", line 1200 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 2226 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 2237 in _find_and_load
  File "/usr/lib64/python3.4/email/parser.py", line 12 in <module>
  File "<frozen importlib._bootstrap>", line 321 in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1471 in exec_module
  File "<frozen importlib._bootstrap>", line 1129 in _exec
  File "<frozen importlib._bootstrap>", line 1200 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 2226 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 2237 in _find_and_load
  File "/usr/lib64/python3.4/http/client.py", line 69 in <module>
  File "<frozen importlib._bootstrap>", line 321 in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1471 in exec_module
  File "<frozen importlib._bootstrap>", line 1129 in _exec
  File "<frozen importlib._bootstrap>", line 1200 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 2226 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 2237 in _find_and_load
  File "/usr/lib64/python3.4/urllib/request.py", line 88 in <module>
  File "<frozen importlib._bootstrap>", line 321 in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1471 in exec_module
  File "<frozen importlib._bootstrap>", line 1129 in _exec
  File "<frozen importlib._bootstrap>", line 1200 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 2226 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 2237 in _find_and_load
  File "/usr/lib64/python3.4/xml/sax/saxutils.py", line 6 in <module>
  File "<frozen importlib._bootstrap>", line 321 in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1471 in exec_module
  File "<frozen importlib._bootstrap>", line 1129 in _exec
  File "<frozen importlib._bootstrap>", line 1200 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 2226 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 2237 in _find_and_load
  File "/usr/lib64/python3.4/site-packages/eric6/eric6.py", line 142 in excepthook
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  File "/usr/lib64/python3.4/site-packages/eric6/E5Gui/E5ErrorMessage.py", line
111 in messageHandler
  ...
Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/eric6/Utilities/BackgroundClient.py",
line 135, in run
    header = self.__receive(struct.calcsize(b'!II'))
  File "/usr/lib64/python3.4/site-packages/eric6/Utilities/BackgroundClient.py",
line 93, in __receive
    newData = self.connection.recv(length - len(data))
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/eric6/Utilities/BackgroundClient.py",
line 193, in <module>
    backgroundClient.run()
  File "/usr/lib64/python3.4/site-packages/eric6/Utilities/BackgroundClient.py",
line 178, in run
    'EXCEPTION', '?', [str(exctype), str(excval), tbinfo])
  File "/usr/lib64/python3.4/site-packages/eric6/Utilities/BackgroundClient.py",
line 81, in __send
    self.connection.sendall(header)
BrokenPipeError: [Errno 32] Broken pipe
History
Date User Action Args
2016-09-23 16:03:44detlevsetstatus: open -> closed
resolution: works for me
2016-09-22 18:10:55mirom967setmessage_count: 17.0 -> 18.0
messages: + msg772
2016-09-21 17:18:35detlevsetmessage_count: 16.0 -> 17.0
messages: + msg768
2016-09-11 13:22:49mirom967setmessage_count: 15.0 -> 16.0
messages: + msg766
2016-09-11 08:56:12detlevsetmessage_count: 14.0 -> 15.0
messages: + msg765
2016-09-10 18:41:40mirom967setfiles: + crash.info
message_count: 13.0 -> 14.0
messages: + msg764
2016-09-10 16:19:09detlevsetmessage_count: 12.0 -> 13.0
messages: + msg763
2016-09-10 16:05:44detlevsetmessage_count: 11.0 -> 12.0
messages: + msg762
2016-09-10 15:42:21mirom967setmessage_count: 10.0 -> 11.0
messages: + msg761
2016-09-10 13:14:27detlevsetmessage_count: 9.0 -> 10.0
messages: + msg760
2016-09-10 12:53:09mirom967setfiles: + crash.debug
message_count: 8.0 -> 9.0
messages: + msg759
2016-09-10 12:24:13mirom967setmessage_count: 7.0 -> 8.0
messages: + msg758
2016-09-10 12:16:49detlevsetmessage_count: 6.0 -> 7.0
messages: + msg757
2016-09-10 12:11:35mirom967setfiles: + compile.log
message_count: 5.0 -> 6.0
messages: + msg756
2016-09-10 12:11:24mirom967setfiles: + crash.debug
message_count: 4.0 -> 5.0
messages: + msg755
2016-09-10 11:36:15detlevsetmessage_count: 3.0 -> 4.0
messages: + msg754
2016-09-10 11:29:33mirom967setmessage_count: 2.0 -> 3.0
messages: + msg753
2016-09-10 10:29:39detlevsetstatus: new -> open
assignedto: detlev
messages: + msg750
message_count: 1.0 -> 2.0
nosy: + detlev
2016-09-10 10:01:40mirom967create